MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024704Open CASCADE[OCCT] OCCT:Visualizationpublic2014-03-08 20:512014-11-11 12:51
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024704: Visualization - inherit OpenGl_Structure from Graphic3d_CStructure
DescriptionOpenGl_Structure is logically specialization of Graphic3d_CStructure, but stored as pointer in it by current design. This complicates sharing of data on TKV3d/TKOpenGl layers, such as structure bounding box, transformation matrix, list of clipping planes.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0024307closedapn TKOpenGl - efficient culling of large number of presentations 
related to 0024752closedbugmaster Visualization - inherit OpenGl_Group from Graphic3d_Group 
related to 0024776closedkgv Visualization - inherit OpenGl_View from Graphic3d_CView 
child of 0023117closedbugmaster TKV3d and TKOpenGl code clean-up 

-  Notes
(0028187)
kgv (developer)
2014-03-08 22:54

Patch is ready for review in CR24704_1 branch (CR24704 contains history).

Notice that this patch is not intended to complete API clean up - it is considered as first minimum step required for other tasks.
(0028196)
apl (developer)
2014-03-11 15:09

Dear Bugmaster,

The branch CR24704_1 is reviewed, please test.
(0028234)
mkv (tester)
2014-03-12 17:28
edited on: 2014-03-12 17:29

Dear BugMaster,

Branch CR24704_1 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 00014a54c04a720221f8feeb8a4db7202c08ab74

Number of compiler warnings:

occt component :
Linux: 33 (30 on master)
Windows: 2 (0 on master)

New additional compilation warning on Linux:
Graphic3d_Structure.cxx:37, GNU C Compiler 4 (gcc), Priority: Normal
when initialized here

Graphic3d_Structure.hxx:493, GNU C Compiler 4 (gcc), Priority: Normal
‘Graphic3d_StructureManager* Graphic3d_Structure::myStructureManager’
Graphic3d_Structure.hxx:494, GNU C Compiler 4 (gcc), Priority: Normal
‘Graphic3d_Structure::myFirstStructureManager’ will be initialized after

New additional compilation warning on Windows:
Graphic3d_Structure.cxx:1236, MSBuild, Priority: Normal
'theLimitInf' : unreferenced formal parameter
Graphic3d_Structure.cxx:1237, MSBuild, Priority: Normal
'theLimitSup' : unreferenced formal parameter

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 385947296 / 385720176
Total CPU difference: 52402.97999999976 / 43631.789999999986

Testing on Windows:
Total MEMORY difference: 431823064 / 430878452
Total CPU difference: 30799.90625 / 30425.953125

There are following differences in images found by testdiff.
http://occt-tests/CR24704-1-master-occt/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests/CR24704-1-master-occt/Windows-32-VC9/diff-Windows-32-VC9.html [^]
IMAGE bugs vis bug24224: bug24224_Driver1_Viewer1_View1.png differs

(0028239)
kgv (developer)
2014-03-12 18:08

The issues should be solved within updated branch CR24704_1.
Please re-test.
(0028253)
mkv (tester)
2014-03-13 12:06

Dear BugMaster,

Branch CR24704_1 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 71ec6614edcf6241db8a539022ad4f7c27b35297

Number of compiler warnings:

occt component :
Linux: 30 (30 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 385934444 / 385720176
Total CPU difference: 43504.42999999994 / 43631.789999999986

Testing on Windows:
Total MEMORY difference: 431760828 / 430848212
Total CPU difference: 30740.828125 / 30425.75

There are not differences in images found by testdiff.

- Related Changesets
occt: master 63bcc448
Timestamp: 2014-03-13 10:35:13
Author: kgv
Committer: bugmaster
Details ] Diff ]
0024704: Visualization - inherit OpenGl_Structure from Graphic3d_CStructure

Graphic3d_Structure - store Graphic3d_CStructure as handle.
Graphic3d_Structure class implementation clean up.
Graphic3d_Structure::SetManager() - remove unused method.
Graphic3d_GraphicDriver - move structure-related methods to Graphic3d_CStructure interface.

Remove unsupported Aspect_TOHM_BLINK value.

Remove field-duplicate OpenGl_Structure::myClipPlanes

Fixing warnings
mod - src/Aspect/Aspect.cdl Diff ] File ]
mod - src/Graphic3d/FILES Diff ] File ]
mod - src/Graphic3d/Graphic3d.cdl Diff ] File ]
mod - src/Graphic3d/Graphic3d_AspectFillArea3d.cdl Diff ] File ]
mod - src/Graphic3d/Graphic3d_AspectFillArea3d.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_CStructure.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_CStructure.hxx Diff ] File ]
add - src/Graphic3d/Graphic3d_CStructure_Handle.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_GraphicDriver.cdl Diff ] File ]
mod - src/Graphic3d/Graphic3d_Group.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_MaterialAspect.cdl Diff ] File ]
mod - src/Graphic3d/Graphic3d_MaterialAspect.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Structure.cdl Diff ] File ]
mod - src/Graphic3d/Graphic3d_Structure.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Structure.pxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_StructureManager.cdl Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver_3.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver_4.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver_7.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Structure.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Structure.hxx Diff ] File ]
mod - src/Visual3d/Visual3d_View.cxx Diff ] File ]
mod - src/Visual3d/Visual3d_ViewManager.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-03-08 20:51 kgv New Issue
2014-03-08 20:51 kgv Assigned To => san
2014-03-08 20:51 kgv Assigned To san => kgv
2014-03-08 20:51 kgv Status new => assigned
2014-03-08 21:01 kgv Relationship added related to 0024307
2014-03-08 21:03 kgv Relationship added child of 0023117
2014-03-08 22:54 kgv Note Added: 0028187
2014-03-08 22:54 kgv Assigned To kgv => apl
2014-03-08 22:54 kgv Status assigned => resolved
2014-03-08 23:15 kgv Description Updated View Revisions
2014-03-11 15:09 apl Note Added: 0028196
2014-03-11 15:09 apl Assigned To apl => bugmaster
2014-03-11 15:09 apl Status resolved => reviewed
2014-03-11 16:35 mkv Assigned To bugmaster => mkv
2014-03-12 17:28 mkv Note Added: 0028234
2014-03-12 17:29 mkv Note Edited: 0028234 View Revisions
2014-03-12 17:29 mkv Test case number => Not needed
2014-03-12 17:29 mkv Assigned To mkv => kgv
2014-03-12 17:29 mkv Status reviewed => assigned
2014-03-12 18:08 kgv Note Added: 0028239
2014-03-12 18:08 kgv Assigned To kgv => bugmaster
2014-03-12 18:08 kgv Status assigned => resolved
2014-03-12 18:08 kgv Status resolved => reviewed
2014-03-12 19:02 mkv Assigned To bugmaster => mkv
2014-03-13 12:06 mkv Note Added: 0028253
2014-03-13 12:07 mkv Assigned To mkv => bugmaster
2014-03-13 12:07 mkv Status reviewed => tested
2014-03-17 11:21 bugmaster Changeset attached => occt master 63bcc448
2014-03-17 11:21 bugmaster Status tested => verified
2014-03-17 11:21 bugmaster Resolution open => fixed
2014-03-22 17:20 kgv Relationship added related to 0024752
2014-03-22 17:21 kgv Product Version => 6.7.0
2014-03-22 17:21 kgv Target Version => 6.7.1
2014-03-29 10:47 kgv Relationship added related to 0024776
2014-04-04 11:54 abv Target Version 6.7.1 => 6.8.0
2014-11-11 12:47 aiv Fixed in Version => 6.8.0
2014-11-11 12:51 aiv Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker